---
lang: en
title: 'API docs: openapi-v3.requestbody'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/openapi-v3
permalink: /doc/en/lb4/apidocs.openapi-v3.requestbody.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/openapi-v3](./openapi-v3.md) &gt; [requestBody](./openapi-v3.requestbody.md)

## requestBody namespace

**Signature:**

```typescript
export declare namespace requestBody 
```

## Functions

<table><thead><tr><th>

Function


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

[array(itemSpec, properties)](./openapi-v3.requestbody.array.md)


</td><td>

Define a requestBody of `array` type.


</td></tr>
<tr><td>

[file(properties)](./openapi-v3.requestbody.file.md)


</td><td>

Define a requestBody of `file` type. This is used to support multipart/form-data based file upload. Use `@requestBody` for other content types.

[OpenAPI file upload](https://swagger.io/docs/specification/describing-request-body/file-upload)


</td></tr>
</tbody></table>

